ADDRESS - Set destination of commands
-------------------------------------


ADDRESS |       env {exprc}
        |       {VALUE} exprv


On UNIX systems, the env destination may be one of the following:

UNIX      The Bourne Shell sh. This is the default when S/REXX runs
          standalone.

WINDOWS   Same as UNIX.

SH        Same as UNIX.

CSH       The C Shell csh.

TCSH      The tcsh shell.

KSH       The Korn Shell ksh.


EXEC      S/REXX attempts to execute directly the string passed to the
          EXEC environment without using any UNIX shell. The PATH is not
          searched and the usual shell redirection ">" and pipe "|"
          characters are not treated specifically. Shell meta characters
          like "*" are also passed without expansion.

SEDIT     Available only in SEDIT macros. This is the default when S/REXX
          runs under SEDIT.


On Windows systems, the env destination may be one of the following:

WINDOWS   The default Windows command interpreter. This is the default
          when S/REXX runs standalone.


          First, the WINDOWS environment checks if the passed command is
          one of the following DOS commands:

          ASSOC CLS COPY DEL ERASE FTYPE MD MOVE RD REN RENAME START TIME
          TYPE VER VERIFY VOL

          and starts a DOS interpreter instance to execute them. Note that
          using equivalent built-ins such as DEL(), COPY(), MKDIR(),
          RENAME() or RMDIR() within S/REXX is much faster than using a
          DOS command

          For any other command, S/REXX searches in every directory in the
          path first for an expr.exe file, then for an expr.com file and
          finally for an expr.bat file.


UNIX      Same as WINDOWS.

SEDIT     Available only in SEDIT macros. This is the default when S/REXX
          runs under SEDIT.


Examples:   ADDRESS CSH
            'ls ~/.cshrc'       /* ~ would not work with ADDRESS SH */


            /*
             * To list a file actually named "*"
             */
            ADDRESS EXEC
            '/bin/ls -Ftla *'  /* 'ls' would not work */



Using UNIX shells on Windows
----------------------------

It is possible to install UNIX like shells on Windows systems.

S/REXX ADDRESS supports the SH, CSH, TCSH and KSH keywords to address such
shells. S/REXX will use an environment variable with the same name to find
a shell.

For example, if the user has installed the Hamilton C-SHELL in
c:\hamilton\bin, the user may create a CSH environment variable in the
following way:


        option mixed setenv
        $CSH = 'c:\hamilton\bin\csh.exe -FXC'
        ADDRESS CSH
        'ls -Ftl +a ~'
