SockBind - Bind a Socket


rc = SockBind(s, 'stem.')
rc = bind(s, 'stem.')     assigns a name to an unnamed socket.

   rc           0 when SockBind succeds. A specific error code is returned
                by SockSock_Errno() or displayed by calling
                SockPSock_Errno().

   s            specifies a socket.

   'stem.'      is a stem variable containing the address that is to be
                bound to socket.

   stem.family  must always be 'AF_INET' or 'PF_INET'.

   stem.port    the port number to be assigned to the socket. If port is
                set to 0, the the system will assign an available port.
                SockGetSockName can be used to retrieve the port number
                assigned.

   stem.addr    either 'INADDR_ANY' or the internet address in dotted
                format (nnn.nnn.nnn.nnn). On hosts with more than one
                network interface (called multihomed hosts), a caller can
                select the interface with which it is to bind.

SockBind sets the errno variable to 0 in case of success, or to one of the
following error codes:

   EACCES       the requested address is protected and the current user
                has inadequate permission to access it.

   EADDRINUSE   the specified address is already in use.

   EADDRNOTAVAIL
                the specified address is not available on the local
                machine.

   EBADF        s is not a valid descriptor.

   EINVAL       the socket is already bound to an address.

   ENOSR        there were insufficient STREAMS resources for the
                operation to complete.

   ENOTSOCK     s is a descriptor for a file, not a socket.


Example:     addr_family = 'AF_INET'
             addr_port   = 1256
             addr_addr   = 'INADDR_ANY'
             rc = SockBind(sock_in, 'addr_')

Note:        Using a stem name such as 'addr.' may lead to unexpected
             results. If for example the port REXX variable is assigned
             the value of 12, addr.port will expand to addr.12, and the
             port value assigned to addr.port will be impossible to
             retrieve. Use a non-stemmed prefix such as 'addr_' to prevent
             this error.
