CHARIN - Reads character input stream

In addition to the standard CHARIN() REXX features, CHARIN(,1,NN) returns
NN characters read from the standard input without displaying them.

Example:    sayn 'Enter a 3 characters password: '
            pass = charin(,1,3)
            say
            say 'The password is :"'pass'"'
            say '-----------------'
            sayn 'Enter a 3 characters password: '
            pass = charin(,,3)
            say
            say 'The password is :"'pass'"'


When reading the standard input, CHARIN() sets the special RC REXX
variable to 0 in case of success, and to the 'EOF' uppercase string when
the standard input is no longer available. In that case, CHARIN() returns
an empty string. This allows the use of an S/REXX program as a standard
input filter.

Consider the following test program:

-------------------------------------------------------------------------
#! /home/xed/srexx
do forever
  val = charin()
  if rc = 'EOF' then exit
  say '"'upper(val)'"'
end
-------------------------------------------------------------------------

Typing (using an UNIX shell):

-------------------------------------------------------------------------
echo abc | test
-------------------------------------------------------------------------


would display:

-------------------------------------------------------------------------
"A"
"B"
"C"
"
"
-------------------------------------------------------------------------
