SockConnect - Connect a Socket


rc = SockConnect(s, 'stem.')
rc = connect(s, 'stem.')

connects a socket to a host.

rc           0 when SockConnect succeds.

s            specifies a socket.

'stem.'      is a stem variable containing the address of the remote
             socket to which a connection is to be attempted.

stem.family  must always be 'AF_INET' or 'PF_INET'.

stem.port    the port number assigned to the remote socket.

stem.addr    either 'INADDR_ANY' or the internet address in dotted format
             (nnn.nnn.nnn.nnn).

SockConnect sets the errno variable to 0 in case of success, or to one of
the following error codes:

EACCES          search permission is denied for a component of the path
                prefix of the pathname in name.

EADDRINUSE      the address is already in use.

EADDRNOTAVAIL   the specified address is not available on the remote
                machine.

EAFNOSUPPORT    addresses in the specified address family cannot be used
                with this socket.

EALREADY        the socket is non-blocking and a previous connection
                attempt has not yet been completed.

EBADF           s is not a valid descriptor.

ECONNREFUSED    the attempt to connect was forcefully rejected.

EINPROGRESS     the socket is non-blocking and the connection cannot be
                completed immediately.

EINTR           the connection attempt was interrupted before any data
                arrived by the delivery of a signal.

EIO             an I/O error occurred while reading from or writing to the
                file system.

EISCONN         the socket is already connected.

ELOOP           too many symbolic links were encountered in translating
                the pathname in name.

ENETUNREACH     the network is not reachable from this host.

ENOSR           there were insufficient STREAMS resources available to
                complete the operation.

ENXIO           the server exited before the connection was complete.

ETIMEDOUT       connection establishment timed out without establishing a
                connection.

Example:

        addr_family = 'AF_INET'
        addr_port   = 1256
        addr_addr   = SockGetHostId()
        rc = SockConnect(sock_out, 'addr_')

Note:   Using a stem name such as 'addr.' may lead to unexpected results.
        If for example the port REXX variable is assigned the value of 12,
        addr.port will expand to addr.12, and the port value assigned to
        addr.port will be impossible to retrieve. Use a non-stemmed prefix
        such as addr_ to prevent this error.
