SockGetPeerName - Get the Name of the Connected Peer


rc = SockGetPeerName(s, 'stem.')
rc = getpeername(s, 'stem.')

retrieves information about the peer connected to the socket s in the
'stem.' stem.

rc            0 when SockGetPeerName succeds.

s             specifies a socket.

'stem.'       is a stem variable containing the address that is bound to
              the s socket.

stem.family   is always 'AF_INET' or 'PF_INET'.

stem.port     the port number assigned to the socket. If the socket is not
              bound to an address, stem.port is set to 0.

stem.addr     either 'INADDR_ANY' or the internet address in dotted format
              (nnn.nnn.nnn.nnn).

SockGetPeerName sets the errno variable to 0 in case of success, or to one
of the following error codes:

EBADF         the argument s is not a valid file descriptor.

ENOMEM        there was insufficient memory available for the operation to
              complete.

ENOSR         there were insufficient STREAMS resources available for the
              operation to complete.

ENOTSOCK      the argument s is not a socket.

ENOTCONN      the socket s is not connected.


Example:

     SockGetPeerName(s, 'addr_')
     say addr_family    /* displays 'AF_INET' */
     say addr_port      /* could display 1256 */
     say addr_addr      /* could display 'INADDR_ANY' or '192.9.200.1' */

Note:   Using a stem name such as 'addr.' may lead to unexpected results.
        If for example the port REXX variable is assigned the value of 12,
        addr.port will expand to addr.12, and the port value assigned to
        addr.port will be impossible to retrieve. Use a non-stemmed prefix
        such as addr_ to prevent this error.
