SockGetSockOpt - Get Socket Options


rc = SockGetSockOpt(s, level, optname, 'optval')
rc = getsockopt(s, level, optname, 'optval')

gets options associated with a socket.

rc       0 when SockGetSockOpt succeds.

s        specifies a socket.

level    the protocol level. SockGetSockOpt supports only the "SOL_SOCKET"
         level.

optname  on UNIX systems, optname can be:

         SO_DEBUG SO_REUSEADDR SO_KEEPALIVE SO_DONTROUTE SO_LINGER
         SO_BROADCAST SO_OOBINLINE SO_SNDBUF SO_RCVBUF SO_TYPE SO_ERROR

         On WINDOWS system, optname can be:

         SO_DEBUG SO_REUSEADDR SO_KEEPALIVE SO_DONTROUTE SO_LINGER
         SO_BROADCAST SO_OOBINLINE SO_SNDBUF SO_RCVBUF SO_DONTLINGER

'optval' the name of an S/REXX variable enclosed in quotes.
         When optname is SO_LINGER, optval is filled with a string
         including 2 integers. The first integer is a boolean flag
         describing the linger status, and the second integer is the
         linger time.


SockGetSockOpt sets the errno variable to 0 in case of success, or to one
of the following error codes:

EBADF         The argument s is not a valid file descriptor.

ENOMEM        There was insufficient memory available for the operation to
              complete.

ENOPROTOOPT   The option is unknown at the level indicated.

ENOSR         There were insufficient STREAMS resources available for the
              operation to complete.

ENOTSOCK      The argument s is not a socket.

Example:

rc = SockGetSockOpt(sock_out, "SOL_SOCKET", "SO_REUSEADDR", 'lg')
if (lg = 1) then
