GETVAL_RX - Get a S/REXX variable


void getval_rx(res, len, name, l_name)
  char **res, *name;
  int *len, l_name;


name is a string which must contain a valid S/REXX symbol name which
length is l_name.

*res will be allocated with a NULL terminated string which is the content
of name. *len will receive the *res length.

It is the responsibility of the caller to free *res after usage.


Example: A C demo2.c program:


-----------------------------------------------------------------------
#include <stdio.h>
#include "srexx.h"

int call_back(name, ll)
  char *name;
{
  char *res;
  int len;

  getval_rx(&res, &len, name, ll);
  printf ("call_back: %s = \"%s\"\n", name, res);
  free(res);

  return(0);
}

main()
{
 env_rx("MyEnv", call_back, 1);
 run_rx("r_demo2", "/home/xed", NULL, NULL, NULL);
}
-----------------------------------------------------------------------

A r_demo2 S/REXX program called by the demo2 program:

-----------------------------------------------------------------------
i = "1"
j = 2
tab.i.j = 'This is tab.1.2'

"i"
"j"
"tab.i.j"
"tab.1.3"
-----------------------------------------------------------------------


To compile and execute this program, issue the following commands:

-----------------------------------------------------------------------
C{foo}% cd {install-dir}/demo/demo_sr
C{demo_sr}% make demo2
cc -O -o demo2 demo2.c ../../lib/sun4/libsr.o -I../../include  -lc -lm
6.4u 1.8s 0:10 79% 0+852k 94+61io 124pf+0w
C{demo_sr}% demo2
call_back: i = "1"
call_back: j = "2"
call_back: tab.i.j = "This is tab.1.2"
call_back: tab.1.3 = "TAB.1.3"
C{demo_sr}%
-----------------------------------------------------------------------
