STATE / LSTATE - Query file state
---------------------------------

STATE(fname{, option})and LSTATE(fname{, option})return 1 when the file
fname matches option, and 0 otherwise.

The LSTATE() function obtains file attributes similar to STATE(), except
when the named file is a symbolic link; in that case LSTATE() returns
information about the link, while STATE() returns information about the
file the link references.

fname may include the ~ .. UNIX or WINDOWS file meta characters.

option may be one of the following letters, or the word corresponding to
the letter:

   "d"    "Directory"  matches a directory
   "e"    "Exists"     matches an existing file. This is the default when
                       option is not supplied.
   "f"    "File"       matches a plain file. Special files, like symbolic
                       links or sockets, return 0.
   "l"    "Link"       matches a symbolic link.
   "o"    "Owned"      matches a file owned by the current user. Always
                       returns 1 on WINDOWS systems.
   "r"    "Read"       matches a file which can be read by the current
                       user.
   "s"    "Size"       returns the file size.
   "w"    "Write"      matches a file which can be written by the current
                       user.
   "x"    "eXecute"    matches a file with execute permission. Always
                       returns 1 on WINDOWS systems.
   "z"    "Zero"       matches a zero length file.
   "p"    "stamP"      returns a string in dd/mm/yyyy hh:mm:ss format
                       indicating the time of last modification.
   "n"    "owNer"      returns the name of the owner of the file.
   "g"    "Group"      returns the name of the group of the file.
                       Always returns an empty string on WINDOWS systems.
   "y"    "sYstem"     returns a value which uniquely identifies the file
                       system that contains the file.

Examples:       if state("~/MyFile") then call MyRoutine
                      /* MyRoutine will be called when ~/MyFile exists. */

                owner = state("MyFile", "n")
                owner = state("MyFile", "owner")


Notes:   On WINDOWS systems, fname may be surrounded with quotes.

         When the information query succeeds, STATE() and LSTATE() set the
         RC REXX variable to 0.

         When the query fails, STATE() and LSTATE() return 0, and set the
         RC REXX variable to a string describing the reason the query
         failed.
