OPTION - Set various options


The OPTION instruction offers the following syntax:

OPTION  MIXED|UPPER|LOWER
        SETENV|UNSETENV
        LOAD|NOLOAD
        GLOBALV|NOGLOBALV

Initial value:  UPPER UNSETENV LOAD GLOBALV

By default, the REXX language is case insensitive. All variables, labels
and subroutines are translated in uppercase before usage.
Uninitialized variables return their name into upper case.

When OPTION LOWER is in effect, all variables, labels and subroutines are
translated in lowercase before usage.
Uninitialized variables return their name into lower case.

When OPTION MIXED is in effect, capitalization is respected. For
example, Var and var are two different variables.

When OPTION SETENV is in effect, variables starting with a dollar ($)
sign are treated as UNIX or WINDOWS environment variables.
In addition, $?var returns 1 (true) when the var environment variable
exists.

When OPTION NOGLOBALV is in effect, the initial processing relative to the
GLOBALV command does not take place, and GLOBALV will not be recognized as
an extension to the UNIX, WINDOWS or SEDIT environment.


Example:

-----------------------------------------------------------------------
OPTION MIXED SETENV

$PATH = '.:'$PATH
Aa = 'MyProg'
aa = 'param1'
call Proc Aa, aa
exit

Proc:procedure
parse arg v1, v2
v1 v2    /* Executes "MyProg param1", using a search   */
return   /* path starting with the "." current directory */

-----------------------------------------------------------------------


Although Proc is a procedure, $PATH, being an environment variable, has
the same value in Proc as in the main program.

OPTION NOLOAD prevents S/REXX from loading dynamically external routines.


Notes:  the OPTION statement is processed only at the initial program
        scanning.
        Once the program is started, OPTION is ignored. Its settings
        cannot be changed during execution.
        S/REXX programs written in MIXED, LOWER or SETENV mode may be
        incompatible with usual REXX implementation.
        Within SEDIT, OPTION GLOBALV|NOGLOBALV is taken in account only
        within the first S/REXX macro called, typically the profile.
