PULL_RX - Extract External Data Queue Item



void pull_rx(res, len)
  char **res;
  int *len;


*res will be allocated with a NULL terminated string holding the first
external data queue (or stack) item content. *len will receive the *res
length.

If the external data queue is empty, *res will be set to NULL.

It is the responsibility of the caller to free *res after usage.

Example:

A C demo3.c program:

-----------------------------------------------------------------------
#include <stdio.h>

int call_back(string, ll)
  char *string;         /* ARGSUSED */
{
  char *res;
  int len;

  pull_rx(&res, &len);

  if (res)
    { printf ("call_back: \"%s\" was in the stack (length = %d).\n", res, len);
      free(res);
    }
  else
      printf ("call_back: stack empty.\n");

  return(0);
}

main()
{
 env_rx("MyEnv", call_back, 1);
 run_rx("r_demo3", "/home/xed", NULL, NULL, NULL);
}
-----------------------------------------------------------------------

An r_demo3 S/REXX program called by the demo3 program:

-----------------------------------------------------------------------
''
queue ''
queue 'String 1'
queue 'String 2 '
queue 'String 3  '
''
''
''
''
''
-----------------------------------------------------------------------

To compile and execute this program, issue the following commands:

-----------------------------------------------------------------------
C{foo}% cd {install-dir}/demo/demo_sr
C{demo_sr}% make demo3
cc -O -o demo3 demo3.c ../../lib/sun4/libsr.o -I../../include  -lc -lm
8.9u 1.6s 0:11 94% 0+896k 2+67io 0pf+0w
C{demo_sr}% demo3
call_back: stack empty.
call_back: "" was in the stack (length = 0).
call_back: "String 1" was in the stack (length = 8).
call_back: "String 2 " was in the stack (length = 9).
call_back: "String 3  " was in the stack (length = 10).
call_back: stack empty.
C{demo_sr}%
-----------------------------------------------------------------------

where {install-dir} is the actual S/REXX installation directory.
