QUEUE_RX - Add a string to the External Data Queue


void queue_rx(str, len)
  char *str;
  int len;


The str string, whose length is given by len, is added to the External
Data Queue (or stack). str does not need to be a NULL terminated string.

Example: A C demo4.c program:


-----------------------------------------------------------------------
#include <stdio.h>
int push(string, len)
  char *string;
  int len;
{ push_rx(string, len);
  printf ("push: \"%s\" has been pushed.\n", string);
  return(0);
}
int queue(string, len)
  char *string;
  int len;
{ queue_rx(string, len);
  printf ("queue: \"%s\" has been queued.\n", string);
  return(0);
}
main()
{env_rx("push", push, 1);
 env_rx("queue", queue, 1);
 run_rx("r_demo4", "/home/xed", NULL, NULL, NULL);
}
-----------------------------------------------------------------------


A r_demo4 S/REXX program called by the demo4 program:


-----------------------------------------------------------------------
address queue 'This will be queued'
address push  'This will be pushed'
parse pull a
say a
parse pull a
say a
-----------------------------------------------------------------------


To compile and execute this program, issue the following commands:


-----------------------------------------------------------------------
C{foo}% cd {install-dir}/demo/demo_sr
C{demo_sr}% make demo4
cc -O -o demo4 demo4.c ../../lib/sun4/libsr.o -I../../include  -lc -lm
9.1u 1.5s 0:11 95% 0+900k 1+68io 0pf+0w
C{demo_sr}% demo4
queue: "This will be queued" has been queued.
push: "This will be pushed" has been pushed.
This will be pushed
This will be queued
C{demo_sr}%
-----------------------------------------------------------------------

where {install-dir} is the actual S/REXX installation directory.
