SockRecv - Receive Data


rc = SockRecv(s, 'var', len{, flag})
rc = recv(s, 'var', len{, flag})

receives data on a connected socket.

rc      -1 in case of failure or the length of the incoming data.

s       a connected socket. Generally, the return of the SockAccept()
        function.

'var'   the name of a REXX variable the data will be received into.

len     the maximum length of the data to be read.

flag    a blank delimited list of options:

          MSG_OOB   reads any out-of-band data on the socket.

          MSG_PEEK  peeks at the data present on the socket; the data is
                    returned but not consumed, so that a subsequent
                    receive operation sees the same data.

SockRecv() sets the errno variable to 0 in case of success, or to one of
the following error codes:

EINTR          the operation was interrupted by delivery of a signal
               before any data wa s available to be received.

EIO            an I/O error occurred while reading from or writing to the
               file system.

ENOMEM         there was insufficient user memory available for the
               operation to complete.

ENOSR          there were insufficient STREAMS resources available for the
               operation to complete.

ENOTSOCK       s is not a socket.

ESTALE         a stale NFS file handle exists.

EWOULDBLOCK    the socket is marked non-blocking and the requested
               operation would block.
