REGISTRY_GET - Retrieve REGISTRY Key Contents


On WINDOWS systems, REGISTRY_GET() is used to retrieve the contents of
a registry key.

val = REGISTRY_GET(hkey, where, name)

hkey    is the key root location in the registry. hkey can be one of the
        following strings:

             HKEY_CLASSES_ROOT
             HKEY_CURRENT_USER
             HKEY_LOCAL_MACHINE
             HKEY_USERS
             HKEY_CURRENT_CONFIG
             HKEY_DYN_DATA

where   is the location of the key in the hkey tree.

name    is the name of the subkey. If name is the "" empty string, the
        default value of the specified key location is retrieved.

val     is a string representing the contents of the key when the call
        succeds, or an error message starting with the
        "REGISTRY_GET Error:" string.
        REGISTRY_GET() returns the key value using a format similar to the
        WINDOWS NT Registry Editor when using the Export Registry File
        command.

        REGISTRY_GET() understands the following WIN32 API type of keys:

        REG_BINARY:
        val is in the "hex:xx,xx,xx,...." format.

        REG_RESOURCE_LIST:
        val is in the "hex(8):xx,xx,xx,...." format.

        REG_FULL_RESOURCE_DESCRIPTOR:
        val is in the "hex(9):xx,xx,xx,...." format.

        REG_DWORD:
        val is in the "dword:xxxxxxxx" format.

        REG_DWORD_BIG_ENDIAN:
        val is in the "hex(5):xx,xx,xx,...." format.

        REG_LINK:
        val is in the "hex(6):xx,xx,xx,...." format.

        REG_MULTI_SZ:
        val is in the "hex(7):xx,xx,xx,...." format.

        REG_NONE:
        val is in the "hex(0):xx,xx,xx,...." format.


        REG_EXPAND_SZ:
        val is in the "hex(2):xx,xx,xx,...." format.

        REG_RESOURCE_REQUIREMENTS_LIST:
        val is in the "hex(a):xx,xx,xx,...." format.

        REG_SZ:
        val is a string.


Examples:

say registry_get("HKEY_LOCAL_MACHINE",,
 "HARDWARE\DESCRIPTION\System\CentralProcessor\0",,
 "~MHz")

could display:

dword:00000109


say registry_get("HKEY_LOCAL_MACHINE",,
 "SOFTWARE\Citrix\Client Management\ICA Client Update",,
 "Default Database")

could display:

hex(2):25,53,79,73,74,65
