REGISTRY_KEYS - REGISTRY Subkeys Enumeration


On WINDOWS systems, REGISTRY_KEYS() is used to enumerate subkeys of the
specified registry key.

rc = REGISTRY_KEYS(hkey, {where}, stem)

hkey    is the key root location in the registry. hkey can be one of the
        following strings:

        HKEY_CLASSES_ROOT
        HKEY_CURRENT_USER
        HKEY_LOCAL_MACHINE
        HKEY_USERS
        HKEY_CURRENT_CONFIG
        HKEY_DYN_DATA

where   is the location of the key in the hkey tree. When omitted, the
        whole hkey tree is enumerated.

stem    is the name of a valid REXX name.

stem.0  will contain the number of enumerated subkeys.

stem.i  will contain the ith enumerated subkey.

rc      is the number of enumerated subkeys when the call succeeds, or an
        error message starting with the "REGISTRY_KEYS Error:" string.


Example:

call registry_keys("HKEY_LOCAL_MACHINE",,
 "SOFTWARE", tab)
do i = 1 to tab.0
   say tab.i
end
