#ident "@(#)US_UNIX5.kt 1.2 91/09/14 KEYTABLES SMI"
#
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#>
#>  This modified Open Windows 3.0 "US_UNIX5.kt" translation table remaps a
#>  type 5 keyboard in the following way:
#>
#>    R1               Print Screen           (Key 22)
#>    R2               Scroll Lock            (Key 23)
#>    R3               Pause                  (Key 21)
#>    R4               Degauss                (Key 45)
#>    R5               Volume Down            (Key 2)
#>    R6               Volume Up              (Key 4)
#>    R6               Num Lock               (Key 98)
#>    R7               Home                   (Key 52)
#>    R9               Page Up                (Key 96)
#>    R11              Power Off              (Key 48)
#>    R13              End                    (Key 74)
#>    R15              Page Down              (Key 123)
#>    LineFeed         Compose                (Key 67)
#>    SEDIT Down-Field Alt                    (Key 19)
#>    SEDIT Down-Field AltGraph               (Key 13)
#>
#>    The Num Lock key is assigned to the R6 function key, and the numerical
#>    keyboard is ALWAYS active. It seems useless to have a Num Lock key with
#>    a separated numerical keyboard.
#>
#>
#>    If you need to use the Compose key for other applications, change
#>
#>               # Modified
#>               #67     NN      SunXK_Compose
#>               67      RN      XK_Linefeed
#>
#>    into
#>               # Modified
#>               67     NN      SunXK_Compose
#>               #67      RN      XK_Linefeed
#>
#>
#>    If the Degauss, Volume Up, Volume Down and Power Off keys are in use
#>    on your station, comment out the following lines:
#>
#>    45      RN      XK_R4           XK_R4           XK_R4           XK_R4
#>    2       RN      XK_R5           XK_R5           XK_R5           XK_R5
#>    4       RN      XK_R6           XK_R6           XK_R6           XK_R6
#>    48      RN      XK_R11          XK_R11          XK_R11          XK_R11
#>
#>
#>   To install this file, type the following commands:
#>
#>       % cd $OPENWINHOME/share/etc/keytables
#>       % mv US_UNIX5.kt US_UNIX5.kt_org
#>       % cp /home/xed/keyboard/US_UNIX5.kt .
#>
#>   Then, restart Open Windows.
#>
#>
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#
#
# Copyright (c) 1991, Sun Microsystems, Inc.  RESTRICTED RIGHTS LEGEND:
# Use, duplication, or disclosure by the Government is subject to
# restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in
# Technical Data and Computer Software clause at DFARS 52.227-7013 and
# in similar clauses in the FAR and NASA FAR Supplement.
#
#       Copyright (c) 1991 Sun Microsystems, Inc.
#
# Keytable for a Sun Type-5 U.S. UNIX keyboard (US_UNIX5.kt)
######################################################################
# Important Note:
#
# If you would just like to remap some keys on your keyboard
# you should use xmodmap rather than building a new keytable.
#
######################################################################
# The current (default) column mappings are for standard X (see
# Section 5 of the X Window System Protocol):
#
# -----------------------------------------------------------------------------
# |     column 1     |     column 2     |     column 3     |    column 4      |
# =============================================================================
# |      no mods     |      Shift       |    ModeSwitch    | ModeSwitch Shift |
# -----------------------------------------------------------------------------
#
# To build a keytable for a new keyboard layout, you will need the
# scancode map, i.e., a scancode for each hardware key, and a keysym
# map, i.e., the symbols on the keycap associated with each scancode.
# You may also want to include an LED map, i.e., a number (1 to 32)
# assigned to each existing LED (e.g., the CapsLock LED).
#
# You should probably start with a copy of an existing keytable and
# replace the existing scancodes with your new scancodes.  Then,
# incrementally modify entries as needed.  To test a new keytable,
# copy it to $HOME/.keytable and start OpenWindows.
#
# There are two maps that need to be constructed:
# 1. Modifier map
# 2. Keysym map
#
# and one optional map:
# 3. LED map
#
# To reduce loading time at startup, remove all comments and convert
# spaces to tabs.
######################################################################

#Keyword -- do not remove
MODMAP

#Keyword -- do not remove
MAXKEYSPERMODIFIER 2

#
# Modifier map
#
# The modifier map gets loaded according to the entries below.
# Scancodes generally range from 1 to 255.  Since X keycodes range
# from 8 to 255, the MAXSCANCODE must be less than or equal to the
# MINSCANCODE + 247.  Consult your keyboard documentation to obtain
# the scancode for each key.
#
# Note that you enter **scancodes** in the entries below, not keycodes.
# For example, if you wanted the "lock" modifier group to contain the
# keycode for XK_Caps_Lock, you would enter the scancode for the key
# that has "CapsLock" printed on it.
#
# Notes:
# The xmodmap utility can be used to verify the map during development.
# In the output from xmodmap, KEYCODE = SCANCODE + (8 - MINSCANCODE).
#
# Format of an entry:
# modifier_group_identifier scancode scancode ...
#
shift    99      110            # Left Shift, Right Shift
lock    119                     # CapsLock
control  76                     # Control
mod1    120      122            # Left Meta, Right Meta
mod2     13                     # Altgraph
mod3     98                     # NumLock
mod4     19                     # Alt
mod5      0                     # None

#Keyword -- do not remove
END

######################################################################

#Keyword -- do not remove
KEYSYMMAP

#Keyword -- do not remove
MINSCANCODE 1

#Keyword -- do not remove
MAXSCANCODE 125

#
# Keysym table
#
# The goal here is to specify all of the different keysyms that
# appear on each phyical key.
#
# If "R" appears as the first attribute after the scancode, the
# appropriate action will be taken to make this key REPEAT.
# The default is NOREPEAT so be sure to specify "R" for all keys
# you wish to be repeating keys (repeat keys generate multiple
# keystrokes when held down -- see man page for xset).
#
# If "P" appears as the second attribute after the scancode, the
# appropriate action will be taken to make the key a PSEUDOLOCK key.
# The default is NOPSEUDOLOCK.  Pseudolock keys are keys that do
# not physically lock in the down state.  The server simulates lock
# key action by setting and clearing the appropriate modifier bit
# in the modifier state mask on alternate KeyPress and KeyRelease
# events of KeyPress-KeyRelease pairs.  In other words, the first
# time you press (and release) the key, lock is turned ON, the
# next time you press (and release) the key, lock is turned OFF, etc.
#
# Format of an entry:
# scancode {N|R}{N|P} keysym keysym ...
#
# Entry template:
# 000   RN      XK_Keysym       XK_Keysym       XK_Keysym       XK_Keysym
#
# Notes:
# Entries may be in any order.  If there are duplicates, the
# last of the duplicate entries takes precedence.
# No space may appear between the attribute code letters.
#

#############################   First Row   ################################
#
#Scan  Atts     Col1            Col2            Col3            Col4
#

118     NN      XK_Help

# Modified
# 15      NN      XK_L3           XK_L3           XK_L3           XK_L3

29      NN      XK_Escape

5       RN      XK_F1
6       RN      XK_F2
8       RN      XK_F3
10      RN      XK_F4

12      RN      XK_F5
14      RN      XK_F6
16      RN      XK_F7
17      RN      XK_F8

18      RN      XK_F9
7       RN      XK_F10
9       RN      SunXK_F36
11      RN      SunXK_F37

# Modified
#22     NN      XK_R2           XK_R2           XK_Print        SunXK_Sys_Req
22      RN      XK_R1           XK_R1           XK_R1           XK_R1


# Modified
# 23    NN      XK_R3           XK_R3           XK_Scroll_Lock
23      RN      XK_R2           XK_R2           XK_R2           XK_R2

# Modified
# 21    NN      XK_R1           XK_R1           XK_Pause        XK_Break
21      RN      XK_R3           XK_R3           XK_R3           XK_R3

# Modified
45      RN      XK_R4           XK_R4           XK_R4           XK_R4
2       RN      XK_R5           XK_R5           XK_R5           XK_R5
4       RN      XK_R6           XK_R6           XK_R6           XK_R6
48      RN      XK_R11          XK_R11          XK_R11          XK_R11

#############################   Second Row   ###############################
#
#Scan  Atts     Col1            Col2            Col3            Col4
#

1       NN      XK_L1           XK_L1           SunXK_Stop
3       NN      XK_L2           XK_L2           SunXK_Again

42      RN      XK_quoteleft    XK_asciitilde
30      RN      XK_1            XK_exclam
31      RN      XK_2            XK_at
32      RN      XK_3            XK_numbersign
33      RN      XK_4            XK_dollar
34      RN      XK_5            XK_percent
35      RN      XK_6            XK_asciicircum
36      RN      XK_7            XK_ampersand
37      RN      XK_8            XK_asterisk
38      RN      XK_9            XK_parenleft
39      RN      XK_0            XK_parenright
40      RN      XK_minus        XK_underscore
41      RN      XK_equal        XK_plus
43      RN      XK_BackSpace

44      NN      XK_Insert

# Modified : HOME
# 52    NN      XK_Home
52      RN      XK_R7           XK_R7           XK_R7           XK_R7

#  Modified
#96     NN      XK_Prior
96      RN      XK_R9           XK_R9           XK_R9           XK_R9

#  Modified
# 98    NP      XK_Num_Lock
98      RN      XK_R6           XK_R6           XK_R6           XK_R6

#  Modified
# 46    RN      XK_R5           XK_R5           XK_KP_Divide
46      RN      XK_KP_Divide    XK_KP_Divide    XK_KP_Divide   XK_KP_Divide

#  Modified
# 47    RN      XK_R6           XK_R6           XK_KP_Multiply
47      RN      XK_KP_Multiply  XK_KP_Multiply  XK_KP_Multiply XK_KP_Multiply

#  Modified
# 71    RN      XK_R4           XK_R4           XK_KP_Subtract
71      RN      XK_KP_Subtract  XK_KP_Subtract  XK_KP_Subtract XK_KP_Subtract

#############################   Third Row   ################################
#
#Scan  Atts     Col1            Col2            Col3            Col4
#

25      NN      XK_L3           XK_L3           SunXK_Props
26      NN      XK_L4           XK_L4           SunXK_Undo

53      RN      XK_Tab
54      RN      XK_Q
55      RN      XK_W
56      RN      XK_E
57      RN      XK_R
58      RN      XK_T
59      RN      XK_Y
60      RN      XK_U
61      RN      XK_I
62      RN      XK_O
63      RN      XK_P
64      RN      XK_bracketleft  XK_braceleft
65      RN      XK_bracketright XK_braceright
88      RN      XK_backslash    XK_bar          XK_brokenbar

66      RN      XK_Delete


# Modified
# 74    NN      XK_End
74      RN      XK_R13          XK_R13          XK_R13          XK_R13

# Modified
#123    NN      XK_Next
123     RN      XK_R15          XK_R15          XK_R15          XK_R15

# Modified
#68     RN      XK_R7           XK_R7           XK_KP_7         XK_Home
68      RN      XK_KP_7         XK_KP_7         XK_KP_7         XK_KP_7

# Modified
#69     RN      XK_Up           XK_R8           XK_KP_8
69      RN      XK_KP_8         XK_KP_8         XK_KP_8

# Modified
#70     RN      XK_R9           XK_R9           XK_KP_9         XK_Prior
70      RN      XK_KP_9         XK_KP_9         XK_KP_9         XK_Prior

125     RN      XK_KP_Add

#############################   Fourth Row  ################################
#
#Scan  Atts     Col1            Col2            Col3            Col4
#

49      NN      XK_L5           XK_L5           SunXK_Front
51      NN      XK_L6           XK_L6           SunXK_Copy

119     NP      XK_Caps_Lock
77      RN      XK_A
78      RN      XK_S
79      RN      XK_D
80      RN      XK_F
81      RN      XK_G
82      RN      XK_H
83      RN      XK_J
84      RN      XK_K
85      RN      XK_L
86      RN      XK_semicolon    XK_colon
87      RN      XK_quoteright   XK_quotedbl
89      RN      XK_Return

# Modified
# 91    RN      XK_Left         XK_R10          XK_KP_4
91      RN      XK_KP_4         XK_KP_4         XK_KP_4


# Modified
# 92    RN      XK_R11          XK_R11          XK_KP_5
92      RN      XK_KP_5         XK_KP_5         XK_KP_5

# Modified
# 93    RN      XK_Right        XK_R12          XK_KP_6
93      RN      XK_KP_6 XK_KP_6         XK_KP_6

#############################   Fifth Row   ################################
#
#Scan  Atts     Col1            Col2            Col3            Col4
#

72      NN      XK_L7           XK_L7           SunXK_Open
73      NN      XK_L8           XK_L8           SunXK_Paste

99      NN      XK_Shift_L
100     RN      XK_Z
101     RN      XK_X
102     RN      XK_C
103     RN      XK_V
104     RN      XK_B
105     RN      XK_N
106     RN      XK_M
107     RN      XK_comma        XK_less
108     RN      XK_period       XK_greater
109     RN      XK_slash        XK_question
110     NN      XK_Shift_R

20      RN      XK_Up

# Modified
# 112   RN      XK_R13          XK_R13          XK_KP_1         XK_End
112     RN      XK_KP_1         XK_KP_1         XK_KP_1         XK_KP_1

# Modified
# 113   RN      XK_Down         XK_R14          XK_KP_2
113     RN      XK_KP_2         XK_KP_2         XK_KP_2

# Modified
# 114   RN      XK_R15          XK_R15          XK_KP_3         XK_Next
114     RN      XK_KP_3         XK_KP_3         XK_KP_3         XK_KP_3

90      RN      XK_KP_Enter

#############################   Sixth Row   ################################
#
#Scan  Atts     Col1            Col2            Col3            Col4
#

95      NN      XK_L9           XK_L9           SunXK_Find
97      NN      XK_L10          XK_L10          SunXK_Cut

76      NN      XK_Control_L
19      NN      XK_Alt_L
120     NN      XK_Meta_L
121     RN      XK_space
122     NN      XK_Meta_R

# Modified
#67     NN      SunXK_Compose
67      RN      XK_Linefeed

13      NN      SunXK_AltGraph

24      RN      XK_Left
27      RN      XK_Down
28      RN      XK_Right

# Modified
# 94    NN      XK_Insert       XK_Insert       XK_KP_0
94      NN      XK_KP_0 XK_KP_0 XK_KP_0

# Modified
# 50    RN      XK_Delete       XK_Delete       XK_KP_Decimal
50      RN      XK_KP_Decimal   XK_KP_Decimal   XK_KP_Decimal

#Keyword -- do not remove
END

######################################################################

#Keyword -- do not remove
LEDMAP

# LED map
#
# The LED map gets placed in a property on the root window.
#
# Format of an entry:
# keysym number
#

# Type 5 keyboard has 4 LEDs.

#Keyword -- do not remove
MAXLED 4

XK_Num_Lock     1       # NumLock
XK_Multi_key    2       # Compose
XK_Scroll_Lock  3       # ScrollLock
XK_Caps_Lock    4       # CapsLock

#Keyword -- do not remove
END

######################################################################

#Keyword -- do not remove
ESCSEQUENCE

# Escape Sequence
#
# The Escape Sequence is stored in the server.
#
# Format of an entry:
# scancode
#
# Notes: Entries appear in the order they must be held down to trigger an
# escape from the server. The maximum length of an escape sequence is 5 keys.
#

1               # XK_L1
19              # XK_Alt_L
66              # XK_Delete

#Keyword -- do not remove
END

######################################################################
